## org.apache.batik.css.engine
Class StyleDeclaration

    java.lang.Object
      org.apache.batik.css.engine.StyleDeclaration

public class StyleDeclaration
extends java.lang.Object

This class represents a collection of CSS property values.

Field Summary
`protected int` `count` The number of values in the declaration.
`protected int[]` `indexes` The value indexes.
`protected static int` `INITIAL_LENGTH`
`protected boolean[]` `priorities` The value priorities.
`protected Value[]` `values` The values.

Constructor Summary
`StyleDeclaration()`

Method Summary
`void` `append(Value v, int idx, boolean prio)` Appends a value to the declaration.
`int` `getIndex(int idx)` Returns the property index of a value.
`boolean` `getPriority(int idx)` Tells whether a value is important.
`Value` `getValue(int idx)` Returns the value at the given index.
`void` `put(int idx, Value v, int i, boolean prio)` Sets a value within the declaration.
`void` `remove(int idx)` Removes the value at the given index.
`int` `size()` Returns the number of values in the declaration.
`java.lang.String` `toString(CSSEngine eng)` Returns a printable representation of this style rule.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INITIAL_LENGTH

    protected static final int INITIAL_LENGTH

See Also:
  Constant Field Values

### values

    protected Value[] values

  The values.

### indexes

    protected int[] indexes

  The value indexes.

### priorities

    protected boolean[] priorities

  The value priorities.

### count

    protected int count

  The number of values in the declaration.

Constructor Detail

### StyleDeclaration

    public StyleDeclaration()

Method Detail

### size

    public int size()

  Returns the number of values in the declaration.

### getValue

    public Value getValue(int idx)

  Returns the value at the given index.

### getIndex

    public int getIndex(int idx)

  Returns the property index of a value.

### getPriority

    public boolean getPriority(int idx)

  Tells whether a value is important.

### remove

    public void remove(int idx)

  Removes the value at the given index.

### put

    public void put(int idx,
                    Value v,
                    int i,
                    boolean prio)

  Sets a value within the declaration.

### append

    public void append(Value v,
                       int idx,
                       boolean prio)

  Appends a value to the declaration.

### toString

    public java.lang.String toString(CSSEngine eng)

  Returns a printable representation of this style rule.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.